RDKit: RDKit::SubstructMatchParameters Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::SubstructMatchParameters Struct Reference

`#include <SubstructMatch.h>`

## Public Member Functions
| SubstructMatchParameters ()

## Public Attributes
bool | useChirality = false
bool | useEnhancedStereo = false
bool | aromaticMatchesConjugated = false
bool | useQueryQueryMatches = false
bool | useGenericMatchers = false
bool | recursionPossible = true
| Allow recursive queries.
bool | uniquify = true
| uniquify (by atom index) match results
unsigned int | maxMatches = 1000
| maximum number of matches to return
int | numThreads = 1
std::vector< std::string > | atomProperties
std::vector< std::string > | bondProperties
std::function< bool(const ROMol &mol, std::span< const unsigned int > match)> | extraFinalCheck
unsigned int | maxRecursiveMatches
| matching should return
bool | specifiedStereoQueryMatchesUnspecified
bool | aromaticMatchesSingleOrDouble = false
std::function< bool(const Atom &queryAtom, const Atom &molAtom)> | extraAtomCheck
bool | extraAtomCheckOverridesDefaultCheck
std::function< bool(const Bond &queryBond, const Bond &molBond)> | extraBondCheck
bool | extraBondCheckOverridesDefaultCheck

## Detailed Description

Definition at line 42 of file SubstructMatch.h.

## Constructor & Destructor Documentation

## ◆ SubstructMatchParameters()

RDKit::SubstructMatchParameters::SubstructMatchParameters | ( |  | ) |
| inline

Definition at line 89 of file SubstructMatch.h.

## Member Data Documentation

## ◆ aromaticMatchesConjugated

bool RDKit::SubstructMatchParameters::aromaticMatchesConjugated = false

Aromatic and conjugated bonds match each other

Definition at line 47 of file SubstructMatch.h.

## ◆ aromaticMatchesSingleOrDouble

bool RDKit::SubstructMatchParameters::aromaticMatchesSingleOrDouble = false

Aromatic bonds match single or double bonds

Definition at line 75 of file SubstructMatch.h.

## ◆ atomProperties

std::vector<std::string> RDKit::SubstructMatchParameters::atomProperties

atom properties that must be equivalent in order to match

Definition at line 61 of file SubstructMatch.h.

## ◆ bondProperties

std::vector<std::string> RDKit::SubstructMatchParameters::bondProperties

bond properties that must be equivalent in order to match

Definition at line 63 of file SubstructMatch.h.

## ◆ extraAtomCheck

std::function<bool(const Atom &queryAtom, const Atom &molAtom)> RDKit::SubstructMatchParameters::extraAtomCheck

a function to be called after other atom comparisons have passed

Definition at line 78 of file SubstructMatch.h.

## ◆ extraAtomCheckOverridesDefaultCheck

bool RDKit::SubstructMatchParameters::extraAtomCheckOverridesDefaultCheck

Initial value:
=
false

if set, only the extraAtomCheck will be used to determine whether or not atoms match

Definition at line 80 of file SubstructMatch.h.

## ◆ extraBondCheck

std::function<bool(const Bond &queryBond, const Bond &molBond)> RDKit::SubstructMatchParameters::extraBondCheck

a function to be called after other bond comparisons have passed

Definition at line 84 of file SubstructMatch.h.

## ◆ extraBondCheckOverridesDefaultCheck

bool RDKit::SubstructMatchParameters::extraBondCheckOverridesDefaultCheck

Initial value:
=
false

if set, only the extraBondCheck will be used to determine whether or not bonds match

Definition at line 86 of file SubstructMatch.h.

## ◆ extraFinalCheck

std::function<bool(const ROMol &mol, std::span<const unsigned int> match)> RDKit::SubstructMatchParameters::extraFinalCheck

a function to be called at the end to validate a match

Definition at line 67 of file SubstructMatch.h.

## ◆ maxMatches

unsigned int RDKit::SubstructMatchParameters::maxMatches = 1000

maximum number of matches to return

Definition at line 55 of file SubstructMatch.h.

Referenced by RDKit::GeneralizedSubstruct::hasSubstructMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), and RDKit::SubstructMatch().

## ◆ maxRecursiveMatches

unsigned int RDKit::SubstructMatchParameters::maxRecursiveMatches

Initial value:
=
1000

matching should return

maximum number of matches that the recursive substructure

Definition at line 69 of file SubstructMatch.h.

## ◆ numThreads

int RDKit::SubstructMatchParameters::numThreads = 1

number of threads to use when multi-threading is possible. 0 selects the number of concurrent threads supported by the hardware negative values are added to the number of concurrent threads supported by the hardware

Definition at line 56 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch(), and RDKit::SubstructMatch().

## ◆ recursionPossible

bool RDKit::SubstructMatchParameters::recursionPossible = true

Allow recursive queries.

Definition at line 53 of file SubstructMatch.h.

Referenced by RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::hasMatch(), RDKit::SubstructLibrary::hasMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), and RDKit::SubstructMatch().

## ◆ specifiedStereoQueryMatchesUnspecified

bool RDKit::SubstructMatchParameters::specifiedStereoQueryMatchesUnspecified

Initial value:
=
false

If set, query atoms and bonds with specified stereochemistry will match atoms and bonds with unspecified stereochemistry

Definition at line 72 of file SubstructMatch.h.

## ◆ uniquify

bool RDKit::SubstructMatchParameters::uniquify = true

uniquify (by atom index) match results

Definition at line 54 of file SubstructMatch.h.

Referenced by RDKit::SubstructMatch(), and RDKit::SubstructMatch().

## ◆ useChirality

bool RDKit::SubstructMatchParameters::useChirality = false

Use chirality in determining whether or not atoms/bonds match

Definition at line 43 of file SubstructMatch.h.

Referenced by RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::hasMatch(), RDKit::SubstructLibrary::hasMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), and RDKit::SubstructMatch().

## ◆ useEnhancedStereo

bool RDKit::SubstructMatchParameters::useEnhancedStereo = false

Use enhanced stereochemistry in determining whether atoms/bonds match

Definition at line 45 of file SubstructMatch.h.

## ◆ useGenericMatchers

bool RDKit::SubstructMatchParameters::useGenericMatchers = false

Looks for generic atoms in the query and uses them as part of the matching

Definition at line 51 of file SubstructMatch.h.

## ◆ useQueryQueryMatches

bool RDKit::SubstructMatchParameters::useQueryQueryMatches = false

Consider query-query matches, not just simple matches

Definition at line 49 of file SubstructMatch.h.

Referenced by RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::countMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::getMatches(), RDKit::SubstructLibrary::hasMatch(), RDKit::SubstructLibrary::hasMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), RDKit::SubstructMatch(), and RDKit::SubstructMatch().

The documentation for this struct was generated from the following file:

- SubstructMatch.h